## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Unset -s on python shebang - ensure that extensions installed with pip
# to user locations are seen and properly loaded
%global py3_shebang_flags %(echo %py3_shebang_flags | sed s/s//)

%global pypi_name qtconsole

Name:		python-%{pypi_name}
Version:	5.6.1
Release:	%autorelease
Summary:	Jupyter Qt console
License:	BSD-3-Clause

URL:		http://jupyter.org
Source0:	https://files.pythonhosted.org/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-ipython-sphinx
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	python3-qt5

BuildRequires:	desktop-file-utils

%description
Qt-based console for Jupyter with support for rich media output

%package -n     python3-%{pypi_name}
Summary:	Jupyter Qt console

%py_provides	python3-ipython-gui
Obsoletes:	python3-ipython-gui < 4
 
Requires:	python3-qt5
Requires:	python3-traitlets
Requires:	python3-jupyter-core
Requires:	python3-jupyter-client >= 4.1
Requires:	python3-pygments
Requires:	python3-ipykernel >= 4.1
Requires:	python3-setuptools

%description -n python3-%{pypi_name}
Qt-based console for Jupyter with support for rich media output

%package -n python-%{pypi_name}-doc
Summary:	Documentation subpackage for qtconsole

%description -n python-%{pypi_name}-doc
Documentation for qtconsole

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs 
sphinx-build docs/source html

# fix file encoding and utf-8
sed -i 's/\r$//' html/objects.inv


# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications examples/jupyter-qtconsole.desktop

%check
%pyproject_check_import -e 'qtconsole.tests*'

%files -n python3-%{pypi_name}  -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-qtconsole
%{_datadir}/applications/jupyter-qtconsole.desktop

%files -n python-%{pypi_name}-doc
%doc html 

%changelog
## START: Generated by rpmautospec
* Mon Jul 21 2025 Miro Hrončok <miro@hroncok.cz> - 5.6.1-4
- Convert to pyproject-rpm-macros

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 5.6.1-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 29 2024 Lumir Balhar <lbalhar@redhat.com> - 5.6.1-1
- Update to 5.6.1 (rhbz#2322330)

* Mon Sep 02 2024 Lumir Balhar <lbalhar@redhat.com> - 5.6.0-1
- Update to 5.6.0 (rhbz#2309115)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 5.5.2-2
- Rebuilt for Python 3.13

* Mon May 06 2024 Lumir Balhar <lbalhar@redhat.com> - 5.5.2-1
- Update to 5.5.2 (rhbz#2279165)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Lumir Balhar <lbalhar@redhat.com> - 5.5.1-1
- Update to 5.5.1 (rhbz#2249941)

* Mon Nov 06 2023 Lumir Balhar <lbalhar@redhat.com> - 5.5.0-1
- Update to 5.5.0 (rhbz#2248085)

* Sun Sep 03 2023 Lumir Balhar <lbalhar@redhat.com> - 5.4.4-1
- Update to 5.4.4 (rhbz#2236810)

* Wed Aug 16 2023 Lumir Balhar <lbalhar@redhat.com> - 5.4.3-1
- Update to 5.4.3 (rhbz#2139248)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 02 2023 Python Maint <python-maint@redhat.com> - 5.3.2-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Aug 28 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 5.3.2-1
- update to v5.3.2

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 5.3.1-1
- update to v5.3.1

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 5.3.0-2
- Rebuilt for Python 3.11

* Thu Mar 31 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 5.3.0-1
- Update to 5.3.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.2.2-1
- Update to 5.2.2

* Sat Dec 11 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.2.1-1
- Update to 5.2.1

* Mon Nov 29 2021 Karolina Surma <ksurma@redhat.com> - 5.1.1-3
- Remove -s from Python shebang in `jupyter-qtconsole` to let Jupyter see 
  pip installed extensions

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 01 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.1.1-1
- Update to 5.1.1

* Sun Jun 27 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.1.0-1
- Update to 5.1.0

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 5.0.3-2
- Rebuilt for Python 3.10

* Thu Apr 08 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.0.3-1
- Update to 5.0.3

* Sat Jan 30 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.0.2-1
- Update to 5.0.2

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Nov 24 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Thu Sep 03 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.7.7-1
- Update to 4.7.7

* Mon Aug 17 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.7.6-1
- Update to 4.7.6

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 22 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.7.5-1
- Update to 4.7.5

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 4.7.4-2
- Rebuilt for Python 3.9

* Wed May 13 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.7.4-1
- Update to 4.7.4

* Sat May 02 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.7.3-1
- Update to 4.7.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Dec 08 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.6.0-1
- Update to 4.6.0

* Thu Sep 26 2019 Miro Hrončok <mhroncok@redhat.com> - 4.5.5-3
- Correct the BR of python3-jupyter-core

* Wed Sep 18 2019 Rex Dieter <rdieter@fedoraproject.org> - 4.5.5-2
- drop Requires: python3-sip (#1753069)

* Mon Sep 02 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.5.5-1
- Update to 4.5.5

* Thu Aug 22 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.5.3-1
- Update to 4.5.3

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 4.4.4-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat May 04 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.4.4-1
- Update to 4.4.4
- Added python-sphinx_rtd_theme as buildrequires
- Fixed license installation (COPYING.md was renamed to license)

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 17 2018 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.3.1-7
- Add python3-sip as requires

* Tue Nov 06 2018 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.3.1-6
- Drop python2 subpackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 4.3.1-4
- Rebuilt for Python 3.7

* Fri Mar 23 2018 Iryna Shcherbina <ishcherb@redhat.com> - 4.3.1-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Sep 10 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.3.1-1
- Update to 4.3.1

* Fri Sep 01 2017 Miro Hrončok <mhroncok@redhat.com> - 4.3.0-2
- Move executables from py2 to py3 (#1410332)

* Wed Aug 16 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.3.0-1
- Update to 4.3.0
- Added python{,3}-qt5 as requires (fixes #1482258 & #1478629)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 15 2017 Miro Hrončok <mhroncok@redhat.com> - 4.2.1-7
- Provide/Obsolete pythonX-ipython-gui

* Wed Feb 22 2017 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.1-6
- Fix python dependencies (py2 sub-package does not req py3)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Sep 24 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.1-4
- Removed scripts; F25+ only

* Sat Sep 24 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.1-3
- Added scripts for desktop database (fixes embarassing oversight!)

* Sat Sep 24 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.1-2
- Fix typos in description
- Fix typos in summary
- Add BR: desktop-file-utils
- Add desktop files

* Fri Aug 12 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 4.2.1-1
- Initial package.

## END: Generated by rpmautospec
